## org.eclipse.amp.agf.chart
Class HistogramStrategy

    java.lang.Object
      org.eclipse.amp.agf.chart.BasicChartStrategy
          org.eclipse.amp.agf.chart.HistogramStrategy

All Implemented Interfaces:
  IChartDesignStrategy

    public class HistogramStrategy

extends BasicChartStrategy

Constructor Summary
`HistogramStrategy()`

Method Summary
`org.eclipse.birt.chart.model.Chart` `createChart(IDataProvider dataProvider, java.lang.Object dataSource)`
`void` `createLegend()`
`org.eclipse.birt.chart.model.data.SeriesDefinition` `getValueSetsDefinition()`
`boolean` `isInitialized()`
`void` `update()`
`void` `updateSelection()`

Methods inherited from class org.eclipse.amp.agf.chart.BasicChartStrategy
`getChart, getLegend, setChart`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HistogramStrategy

    public HistogramStrategy()

Method Detail

### createChart

    public org.eclipse.birt.chart.model.Chart createChart(IDataProvider dataProvider,
                                                          java.lang.Object dataSource)

### update

    public void update()

### updateSelection

    public void updateSelection()

### createLegend

    public void createLegend()

  Overrides:
    `createLegend` in class `BasicChartStrategy`

### isInitialized

    public boolean isInitialized()

  Returns:
  See Also:
    `IChartDesignStrategy.isInitialized()`

### getValueSetsDefinition

    public org.eclipse.birt.chart.model.data.SeriesDefinition getValueSetsDefinition()